# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Element Slider

JXG.GeometryElement
↳ JXG.Point
↳ Glider
↳ Slider

A slider can be used to choose values from a given range of numbers.
Defined in: Slider.js.
Extends Glider.

Element Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Slider

Attributes Summary
Field Attributes | Field Name and Description
--- | ---
| precision The precision of the slider value displayed in the optional text.
| snapWidth The slider only returns multiples of this value, e.g.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| _smax End value of the slider range.
| _smin Start value of the slider range.
| baseline The baseline the glider is bound to.
| highline A line on top of the baseline, indicating the slider's progress.
| label The text element to the right of the slider, indicating its current value.
| point1 Start point of the base line.
| point2 End point of the base line.
| ticks Ticks give a rough indication about the slider's current value.

Element Detail
Slider

This element has no direct constructor. To create an instance of this element you have to call JXG.Board#create with type "slider".
Possible parent array combinations are:
{Array} start
{Array} end
{Array} data
  The first two arrays give the start and the end where the slider is drawn on the board. The third array gives the start and the end of the range the slider operates as the first resp. the third component of the array. The second component of the third array gives its start value.

Throws:
{Exception}
  If the element cannot be constructed with the given parent objects an exception is thrown.

Examples:

    // Create a free point using affine euclidean coordinates
    var s = board.create('slider', [[1, 2], [3, 2], [1, 5, 10]]);

    // Create a constrained point using anonymous function
    var s = board.create('slider', [[1, 3], [3, 1], [1, 10, 50]], {snapWidth: 1});

Attribute Detail
{Number} precision
The precision of the slider value displayed in the optional text.
Defined in: Options.js.

{Number} snapWidth
The slider only returns multiples of this value, e.g. for discrete values set this property to `1`. For continuous results set this to `-1`.
Defined in: Options.js.
Field Detail
{Number} _smax
End value of the slider range.

{Number} _smin
Start value of the slider range.

{JXG.Line} baseline
The baseline the glider is bound to.

{JXG.Line} highline
A line on top of the baseline, indicating the slider's progress.

{JXG.Text} label
The text element to the right of the slider, indicating its current value.

{JXG.Point} point1
Start point of the base line.

{JXG.Point} point2
End point of the base line.

{JXG.Ticks} ticks
Ticks give a rough indication about the slider's current value.

Attributes borrowed from other Elements

Attributes borrowed from class JXG.Point:
  attractorDistance, attractors, face, showInfobox, size, snapSizeX, snapSizeY, snapToGrid, snapToPoints, snatchDistance, style
Attributes borrowed from class JXG.GeometryElement:
  dash, draft, fillColor, fillOpacity, fixed, frozen, highlight, highlightFillColor, highlightFillOpacity, highlightStrokeColor, highlightStrokeOpacity, highlightStrokeWidth, needsRegularUpdate, shadow, strokeColor, strokeOpacity, strokeWidth, trace, traceAttributes, visible, withLabel

Fields borrowed from other Elements

Fields borrowed from class Glider:
  slideObject
Fields borrowed from class JXG.Point:
  coords, group, onPolygon, position
Fields borrowed from class JXG.GeometryElement:
  addEvent, ancestors, baseElement, board, childElements, descendants, dump, elementClass, elType, eventHandlers, getAttribute, hasLabel, highlighted, id, isDraggable, isReal, methodMap, mouseover, name, needsUpdate, notExistingParents, numTraces, quadraticform, removeEvent, stdform, subs, symbolic, traces, transformations, type, visProp

Methods borrowed from other Elements

Methods borrowed from class Glider:
  startAnimation, stopAnimation
Methods borrowed from class JXG.Point:
  _anim, addConstraint, addTransform, Dist, free, handleAttractors, handleSnapToGrid, handleSnapToPoints, hasPoint, makeGlider, moveAlong, moveTo, normalizeFace, remove, setGliderPosition, setPosition, setPositionByTransform, setPositionDirectly, setStyle, update, updateConstraint, updateGlider, updateGliderFromParent, updateRenderer, updateTransform, visit, X, XEval, Y, YEval, Z, ZEval
Methods borrowed from class JXG.GeometryElement:
  _set, addChild, addDescendants, animate, bounds, clearTrace, cloneToBackground, countChildren, createGradient, createLabel, draggable, generatePolynomial, getAttributes, getLabelAnchor, getName, getParents, getProperty, getTextAnchor, getType, hideElement, labelColor, noHighlight, normalize, off, on, prepareUpdate, resolveShortcuts, setArrow, setAttribute, setDash, setLabelText, setProperty, setStraight, showElement, triggerEventHandlers

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:12 GMT+0200 (MESZ)